Subject: Reminder: Deadline for input on sub-ip discussion

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 09 Dec 2002 22:21:59 +0100

All,

On Wed Dec 4th, we asked for input to help us decide on the future of
the SUB-IP Area. See our posting at

      http://www.ietf.org/mail-archive/ietf/Current/msg18370.html

We had a large majority of people at the SUBIP Area meeting in Atlanta
expressing that they want the area to be long(er) lived. This will be part
of our input.

But we need/want to hear from the IETF community. So please express
your opionion (and the reasoning behind it) asap on [email-masked], but 
certainly before Thursday Dec 12th 10am US Eastern time.

As expressed in the above posting (with data points and discussion 
included),
the 3 choices for the SUB-IP Area seem to be:

  1/ move WGs (back) to permanent areas: migrate the SUB-IP
     working groups to other IETF areas sometime soon, likely before next
     summer and close the SUB-IP area. Also, reconstitute the SUB-IP (and/or
     other) directorates to ensure the continued coordination between the
     remaining WGs.

  2/ establish a long-term area: decide that the SUB-IP
     area will be a long-term one, clearly define its charter, and ask the
     nomcom to select one or two people to be Area Directors

  3/ status quo: continue the SUB-IP Area as a temporary,
     ad-hoc effort, much as it has been, with the IESG selecting two sitting
     ADs to continue the effort that Bert & Scott have been doing. But maybe
     give more responsibility to the working group's technical advisors,
     normally the AD from the area where the working group might otherwise
     live.

The opinions expressed so far seem to show clearly that the community is 
divided on the issue, with perhaps some preference for the status quo 
(alternative 3).

If you have a strong preference for one (or two) of these, and have not yet 
said so, please indicate your opinion (and your reasons) by mail to 
[email-masked] before Thursday.

Thank you!

              Harald Alvestrand, for the IESG

(please repost this message where appropriate)

---

From: Scott W Brim <[email-masked]>
Date: Mon, 9 Dec 2002 16:47:58 -0500

> divided on the issue, with perhaps some preference for the status quo 

That means to me you should just leave it alone for now.  Are they
destroying the IETF's reputation?  Creating designs which make other
areas' work impossible?  If in fact half the working groups in the area
are about to finish, let them do so.  This particular problem is one
that's getting better, not worse.  We have other things that are more
urgent.

..Scott

---

From: Joe Touch <[email-masked]>
Date: Mon, 09 Dec 2002 14:47:20 -0800

I'm in favor of 1/

3/, again, seems contradictory. The status quo is that it disappears. 
Continuing it without a fixed end date is to subversively result in 2/ 
without a clear charter definition and Nomcom participation.

To be specific, I don't think 3/ should be on the table, at least not 
without a finite extension limit. However, what do we expect to change 
in the next N months? Will all the current groups complete their 
mission? Will no new groups want to be in this area? If we can't stick 
to a deadline now, what makes us think we can stick to one in N months?

Joe

---

From: Loa Andersson <[email-masked]>
Date: Tue, 10 Dec 2002 00:04:54 +0100

> All,
< snip >
> If you have a strong preference for one (or two) of these, and have not 
> yet said so, please indicate your opinion (and your reasons) by mail to 

my preferences are 2 or 3, so far i've not seen any other argument for 1
other than it was decided 2 years ago, if we really want the 3 of the
wg's to finish let them do so with re-org

i strongly doubt that ccamp, mpls and ppvpn are candidates for closing
down in 6 months

it seems like the arguments by keith, fred and joe are good arguments
for that these wg's need a focus of their own

if you believ that they are doing harm, that is not reason to re-org,
closing down would be called for

if you believe they are doing good, let them continue to do so

in neither case shuffle groups around helps

i can live with status quo

/Loa

-- 
Loa Andersson

Mobile          +46 739 81 21 64
Email           [email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Mon, 09 Dec 2002 18:28:16 -0500

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Harald" == Harald Tveit Alvestrand <[email-masked]> writes:
    Harald>   2/ establish a long-term area: decide that the SUB-IP
    Harald>      area will be a long-term one, clearly define its charter, and ask the
    Harald>      nomcom to select one or two people to be Area Directors

    Harald>   3/ status quo: continue the SUB-IP Area as a temporary,
    Harald>      ad-hoc effort, much as it has been, with the IESG selecting two sitting
    Harald>      ADs to continue the effort that Bert & Scott have been doing. But maybe
    Harald>      give more responsibility to the working group's technical advisors,
    Harald>      normally the AD from the area where the working group might otherwise
    Harald>      live.

  I prefer #3 for the next year.

  However, I would prefer that we change:

	IESG selecting two sitting ADs to continue 
to
	IESG selecting two people as ADs

  That is, the IESG could select people who aren't currently sitting ADs. (or
they can select sitting ADs)

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

---

From: Yu-Shun Wang <[email-masked]>
Date: Mon, 09 Dec 2002 17:24:53 -0800

Michael Richardson wrote:

> >>>>>"Harald" == Harald Tveit Alvestrand  writes:
>

The problem with #3 is that there is no timeline of any sort in this option.

While option #1 (quoted below) sounds severe, it does not close all the door
for Sub-IP. It just forces IETF as a community to rethink whether those
remaining wgs (or anything else people come up with then) belong to IETF or not,
and if they do, where. I believe this was why the Sub-IP area was marked
temporary when it was created; to force us to re-examine the issues now.

>     other) directorates to ensure the continued coordination between the

Status quo (#3) merely delays this discussion indefinitely because of the
lack of a timeline and, as Grenville pointed out in his email, no protection
against adding new wgs into Sub-IP area.

I prefer option #1, and if there are reasons IETF should have a Sub-IP
area, they should be argued assuming the area is closed.

yushun.

> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.0.7 (GNU/Linux)
> Comment: Finger me for keys
>
> iQCVAwUBPfUnDoqHRg3pndX9AQEghQQA57ZhokVCkMDIt8Xix4yu1tjCQEb9JmcD
> ksrpBr60p3dN5TKnGiHn+qPX6cX0J1PSiiPckkLjN6x1HiKDScxEFncOIeWhx9L0
> Zo6dDQIP64Abg4OsF3qiKEOgr5t5QOoMyr1By7f6Q97/iF8KzPQznLmASm+diipd
> Oy7Y08BefpU=
> =UHO4
> -----END PGP SIGNATURE-----

-- 
____________________________________________________________________________
Yu-Shun Wang <[email-masked]>               Information Sciences Institute
                                            University of Southern California

---

From: John C Klensin <[email-masked]>
Date: Mon, 09 Dec 2002 22:12:16 -0500

--On Monday, 09 December, 2002 22:21 +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> All,
> 
> On Wed Dec 4th, we asked for input to help us decide on the
> future of the SUB-IP Area. See our posting a
>...

Harald,

I have not been following the work, or WGs, in this area to any
significant degree since last March and was not planning to
comment on this.  But you asked twice...  

My impression is that Bert and Scott have been doing a fine job
in a confused situation and that we all owe them a vote of
thanks for taking on the extra work.  At the same time, I am, as
you know, very concerned about both IESG workload and about our
putting resources into areas and tasks where IETF cannot do an
effective job.  To borrow from another discussion, I would
define "effective" as combining "high quality" with "taking no
longer than absolutely needed to get the work done".

Because I haven't studied the WGs, this is more a comment about
process and management style than about specific WGs and what
should be done about them.  But you asked, so...

>From the comments that have been made, especially including some
of the observations in Scott's note, I see no _IETF_
justification for making the area permanent.  Yes, I understand
that some of the people associated with Sub-IP work would prefer
to have their own area/club, but my belief is, that for any work
that isn't _clearly_ in the mainstream of IETF task areas and
responsibities, the justification for IETF's taking that work on
lies in the value-added from interactions with other groups and
areas.  

In that context, it seems to me that most of the "this should be
in because it involves the interactions between IP and foo" or
"this should be out because it is mostly foo" discussions miss
the critical point.  We either have something unique to add, as
a community, or we don't.  If we don't, then we should leave it
to others: a self-contained group of people who are going to
work a particular, below-neck-of-hourglass problem in relative
isolation  from the rest of the IETF can as well do it
elsewhere.  Their doing so reduced demands on meeting time and
load on the IESG, regardless of how areas are organized in a
given week.  We may be more hospitable to them than some other
group for one reason or another, but that isn't, of necessity,
our job or our problem.  If we do add value, then the value-add
is precisely in the interactions of these groups with other WGs
_outside_ the sub-IP tasks and work area.  

Once we dispose of "make it permanent", then we have more
flexibility about answers.   What should we do?  Well, for
starters and to be very blunt, I'm concerned about the
implicatons of an eight day review starting on 4 December.  The
IESG has known for two years that this point was coming.  An
area meeting was held in Atlanta, but there was no notice to the
general community  that this was going to be a major topic, no
strong mention of it at the plenary or pre-Atlanta mailings to
the whole IETF, etc.  I have to consider that a symptom of a
more general problem.   The version of "more general problem"
that is least damning to the IESG is "too busy with other things
to get that organized", but that answer calls for fewer WGs, and
perhaps fewer areas, not more.  But, for this specific topic,
that is water over the dam.

My answer is, I think, (4), where my (4) is fairly close in most
respects to the notes from Paul and Grenville.  Extend the
thing, in its present form, because the disruption of moving
things around that (at least one of) the relevant ADs claims are
near completion is just not worth the cost to make a point.  But
do it for a fixed, and short, time.  My recommendation is that
you extend it, in its present form, through the evening of 20
March 2003 and that you put a status report on the IESG plenary
agenda (the previous night?).  I recommend that no new WGs be
added to the area between now and then and that the IESG
evaluate moving ones that will need longer lives out well before
that date (and make those moves if the evaluation indicates that
to be appropriate).  

I would hope for a summary of which WGs have been shut down or
moved, which ones have submitted drafts and are awaiting
publication before shutting down, and which ones appear to need
to be around longer.   If the latter group is small, I believe
that they should then be moved and the area shut down.  If it is
large, I believe that all of the remaining WGs should be forced
through a serious review and rechartering process, without the
assumption that it is in the IETF's interest that they continue
(note that I'm assuming that all WGs that have an obvious role
in other areas will have been moved out before then and that
these are only the residuals which don't clearly belong
somewhere else).  If the nomcom and confirming bodies do their
jobs on time, I would presume and hope that you (and the current
IESG) would involve incoming IESG members in the review and
discussion -- they are the ones who will need to live with the
results.

This implies that, while the temporary area is extended, the
IESG might not have to appoint new ADs at all.  And, if it does,
they would more likely be appointed to oversee the endgame of
final document review and publication rather than to manage
active WGs, which is normally a much less time-consuming
activity.

It is time to start reducing the workload and overload on the
IESG rather than figuring out more ways to [re]organize it.

regards,
    john

---

From: "Bill Strahm" <[email-masked]>
Date: Mon, 9 Dec 2002 22:59:20 -0800

I have an interesting set of questions for you Harold,
1) How effective would the IESG be with 2 more members, more effective,
or less
2) What would happen to any "new" IESG members in the SUB-IP area, if
the area is shut down ?

In otherwords, does the IESG think that a two new members would help
overall effectiveness, or make it lower

If the consensus of the IESG is that adding more members would make them
less effective go with the victim/temporary route.

If the consensus of the IESG is that adding two members would make the
IESG more effective, lets look at making it permanent, or have a place
to put the extra members when the "temporary" area shuts down.

In other words what makes that IESG more effective 

Bill

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Harald Tveit Alvestrand
Sent: Monday, December 09, 2002 1:22 PM
To: [email-masked]
Subject: Reminder: Deadline for input on sub-ip discussion

All,

We had a large majority of people at the SUBIP Area meeting in Atlanta
expressing that they want the area to be long(er) lived. This will be
part of our input.

But we need/want to hear from the IETF community. So please express your
opionion (and the reasoning behind it) asap on [email-masked], but 
certainly before Thursday Dec 12th 10am US Eastern time.

  1/ move WGs (back) to permanent areas: migrate the SUB-IP
     working groups to other IETF areas sometime soon, likely before
next
     summer and close the SUB-IP area. Also, reconstitute the SUB-IP
(and/or
     other) directorates to ensure the continued coordination between
the
     remaining WGs.

  2/ establish a long-term area: decide that the SUB-IP
     area will be a long-term one, clearly define its charter, and ask
the
     nomcom to select one or two people to be Area Directors

  3/ status quo: continue the SUB-IP Area as a temporary,
     ad-hoc effort, much as it has been, with the IESG selecting two
sitting
     ADs to continue the effort that Bert & Scott have been doing. But
maybe
     give more responsibility to the working group's technical advisors,
     normally the AD from the area where the working group might
otherwise
     live.

yet 

Thank you!

---

From: grenville armitage <[email-masked]>
Date: Tue, 10 Dec 2002 18:20:30 +1100

> 2) What would happen to any "new" IESG members in the SUB-IP area, if

I think this is a seductively reasonable-sounding-yet-misguided rephrasing
of the issue.

Sub-IP as an Area ought to be evaluated on its applicability to the
IETF. The IESG support (generally quite well and unthanked) the goals
of the IETF. If Sub-IP as an Area makes sense for the IETF, then (and
only then) does the question arise of whether to add more IESG members.
Let's not get the order reversed.

cheers,
gja
-- 
Grenville Armitage
http://caia.swin.edu.au

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 10 Dec 2002 08:05:41 +0100

> 1) How effective would the IESG be with 2 more members, more effective,

My personal opinion is that it would be less effective, because there would
be a larger group that needs to come to consensus on issues - and the group
dynamics of a larger group are more complex/take longer than in a smaller
group.

> 2) What would happen to any "new" IESG members in the SUB-IP area, if

My personal reading is that the rules permit us to reallocate ADs between
areas, and for ADs to resign, but not to remove them. So they would stay
around for a while - the next nomcom would make the adjustments needed.

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Tue, 10 Dec 2002 15:29:59 -0800

Option 2 grows the IESG by 1 to 2 ADs.  I concur with sediments
that this will likely make the IESG less effective, hence I oppose
option 2.  And as Option 3 has a high chance of becoming option 1
(become temporary things have a tendency to become permanent), I
dislike it as well.  I favor option 1.

Kurt

At 01:21 PM 12/9/2002, Harald Tveit Alvestrand wrote:
>your opionion (and the reasoning behind it) asap on [email-masked], but certainly before Thursday Dec 12th 10am US Eastern time.
>
>As expressed in the above posting (with data points and discussion included),
>The opinions expressed so far seem to show clearly that the community is divided on the issue, with perhaps some preference for the status quo (alternative 3).
>
>If you have a strong preference for one (or two) of these, and have not yet said so, please indicate your opinion (and your reasons) by mail to [email-masked] before Thursday.
>
>Thank you!
>

---

From: grenville armitage <[email-masked]>
Date: Tue, 10 Dec 2002 18:20:30 +1100

cheers,
gja
-- 
Grenville Armitage
http://caia.swin.edu.au

---

From: Michael Richardson <[email-masked]>
Date: Mon, 09 Dec 2002 18:28:16 -0500